petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCGAMGSetNlevels

Sets the maximum number of levels PCGAMG will use

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGSetNlevels(PC pc, PetscInt n)

Not collective on PC

### Input Parameters

| pc | - the preconditioner
| n | - the maximum number of levels to use

### Options Database Key

-pc_mg_levels -

### See Also

()

### Level

intermediate

### Location

src/ksp/pc/impls/gamg/gamg.c

### Implementations

PCGAMGSetNlevels_GAMG in src/ksp/pc/impls/gamg/gamg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages